=== ucw-boxset/dependencies/net-telent-date_0.42/debian/control ===
Source: cl-net-telent-date
Section: unknown
Priority: optional
Maintainer: Daniel Barlow <dan@telent.net>
Build-Depends: debhelper (>> 3.0.0), sbcl
Standards-Version: 3.5.2

Package: cl-net-telent-date
Architecture: all
Depends: ${shlibs:Depends}
Description: Common Lisp utilities for printing and parsing dates
 Most of the code in this package is parse-time.lisp, which was
 originally written by Jim Healy in June 1987, and has been lifted
 wholesale from CMUCL.
 .
 The rest of it is a few useful functions for printing dates in
 human-readable formats:
